VisualEditor: The Math and Heiro Inspector jumps to the beginning of the article while opening it for the first time of every edit session
Closed, ResolvedPublic

Description

Screenshot

Steps to reproduce:

1.Open a page with VE
2.Attempt to insert a formula or a hiero with the inspectors

Observed Result:
The math inspector jumps to the beginning of the article then comes back to the right position where it was intended to open

For hiero, it gets stuck at that position.

See the screenshot attached


Version: unspecified
Severity: normal

Attached:

bzimport set Reference to bz66813.
Ryasmeen created this task.Via LegacyJun 18 2014, 9:53 PM
gerritbot added a comment.Via ConduitJun 25 2014, 4:01 PM

Change 141985 had a related patch set uploaded by Esanders:
Render a placeholder when extension contents are empty

https://gerrit.wikimedia.org/r/141985

gerritbot added a comment.Via ConduitJun 25 2014, 9:40 PM

Change 141985 merged by jenkins-bot:
Render a placeholder when extension contents are empty

https://gerrit.wikimedia.org/r/141985

Ryasmeen added a comment.Via ConduitJun 26 2014, 12:32 AM

Verified the fix in Betalabs

Ryasmeen added a comment.Via ConduitJun 27 2014, 10:04 PM

Fixed for Math inspector.Will check for Heiro later, when it is available

Ryasmeen added a comment.Via ConduitJun 27 2014, 10:05 PM

Verified in test2

Ryasmeen added a comment.Via ConduitJul 7 2014, 9:07 PM

Verified the fix in production (en.wiki)

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.